/*=======================================================================================================*/
/*      Distributed Speech Recognition                                                                   */
/*      ETSI ES 202 050 Advanced Front-End Feature Extraction Algorithm & Compression Algorithm &        */
/*      ETSI ES 202 212 Extended Advanced Front-End Feature Extraction Algorithm & Compression Algorithm */  
/*      Bit exact C-language software implementation using ETSI basic operations library                 */
/*      3GPP TS 26.243 v 6.1.0 November 2004                                                                  */
/*      ANSI C code for the Fixed-Point Distributed Speech Recognition Extended Advanced Front-end       */
/*=======================================================================================================*/

#ifndef _MATHFUNC_H
#define MATHFUNC_H
#include "x_default.h" 

/* returns an approximation of 1024 x log2(abs(x)) */
X_INT16 Log_2(X_INT32 x) ;

X_INT32 Sqrt_2(X_INT32 X) ;

X_INT16 Sqrt16_2(X_INT32 X) ;

#endif
